#pragma once
#include <osgTerrain/TerrainTile>

namespace osgTerrain {

class Terrain;

class  myTileLoadedCallback : public TerrainTile::TileLoadedCallback
{
public:
    myTileLoadedCallback(osgTerrain::Terrain* terrain);
    virtual bool deferExternalLayerLoading() const;
    virtual void loaded(osgTerrain::TerrainTile* tile, const osgDB::ReaderWriter::Options* options) const;
    
protected:
    virtual ~myTileLoadedCallback();

	osg::ref_ptr<osgTerrain::Terrain> _terrain;
   
};

}